# PeripheryPaymentsWithFee

## Functions

### unwrapWNativeTokenWithFee

`unwrapWNativeTokenWithFee(uint256,address,uint256,address)` payable public

Unwraps the contract's WNativeToken balance and sends it to recipient as NativeToken, with a percentage between 0 (exclusive), and 1 (inclusive) going to feeRecipient

| Name          | Type    | Description |
| ------------- | ------- | ----------- |
| amountMinimum | uint256 |             |
| recipient     | address |             |
| feeBips       | uint256 |             |
| feeRecipient  | address |             |

### sweepTokenWithFee

`sweepTokenWithFee(address,uint256,address,uint256,address)` payable public

Transfers the full amount of a token held by this contract to recipient, with a percentage between 0 (exclusive) and 1 (inclusive) going to feeRecipient

| Name          | Type    | Description |
| ------------- | ------- | ----------- |
| token         | address |             |
| amountMinimum | uint256 |             |
| recipient     | address |             |
| feeBips       | uint256 |             |
| feeRecipient  | address |             |

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.0/v1.0-periphery/peripherypaymentswithfee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
